summaryrefslogtreecommitdiff
path: root/packages/scripts-cern/resources/bin/restart-gwt.sh
diff options
context:
space:
mode:
authorYves Fischer <yvesf-git@xapek.org>2016-02-27 15:58:12 +0100
committerYves Fischer <yvesf-git@xapek.org>2016-02-27 15:58:12 +0100
commita307e0474e78c51590aeac95dbc5587a87ef6501 (patch)
treec5c7ca86b0b86704a4c1adc588e7ce249826e98f /packages/scripts-cern/resources/bin/restart-gwt.sh
parent77955935e9549a847ae7e0d78819f090d429fdb6 (diff)
downloaddebian-packages-a307e0474e78c51590aeac95dbc5587a87ef6501.tar.gz
debian-packages-a307e0474e78c51590aeac95dbc5587a87ef6501.zip
refactor scripts packages
Diffstat (limited to 'packages/scripts-cern/resources/bin/restart-gwt.sh')
-rwxr-xr-xpackages/scripts-cern/resources/bin/restart-gwt.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/packages/scripts-cern/resources/bin/restart-gwt.sh b/packages/scripts-cern/resources/bin/restart-gwt.sh
new file mode 100755
index 0000000..3870874
--- /dev/null
+++ b/packages/scripts-cern/resources/bin/restart-gwt.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -x
+pid=`jps | grep DevMode | cut -f 1 -d ' '`
+if [ -z "$pid" ]; then
+ echo "no running gwt-client found" >&2
+ exit 1
+fi
+
+cwd=`readlink "/proc/${pid}/cwd"`
+cmd=`cat "/proc/${pid}/cmdline" | tr '\0' ' '`
+cd "$cwd"
+kill -9 "$pid"
+
+sleep 1
+$cmd >/dev/null 2>&1 &
+disown -ar